Subject: Re: [PATCH next] staging-p80211: Kill directly reference of netdev->priv

From: Greg KH <[email-masked]>
Date: Fri, 5 Dec 2008 07:44:46 -0800

On Fri, Dec 05, 2008 at 11:14:53PM +0800, Wang Chen wrote:
> In this driver, netdev's private data is wlandevice_t.
> And the wlandev(type of wlandevice_t) is exist before netdev be allocated.
> So use netdev->ml_priv to point to the private data.
> 
> I am not sure whether I should consider the kernel version older than 2.3.38.
> Because in those kernels, netdevice_t is "structure dev" instead of 
> "structure net_device" and of course "dev->ml_priv" will cause compile error.
> But before my patch, in function wlan_setup(), there is a ether_setup(net_device)
> which already broke kernels which older than 2.3.38.

Heh, no we only need to support the current mainline kernel with this
driver, no old 2.3.x versions :)

thanks for the patch, I'll queue it up,

greg k-h